APIPublic
Get public shared QR code
Publicly accessible endpoint (no authentication required) to view a shared QR code by its share token. Returns the QR code image data, content, styling, and share display configuration.
Authorization
bearerAuth AuthorizationBearer <token>
Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>
In: header
Path Parameters
shareToken*string
Unique share token from the share link URL
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://api.qrcodly.de/api/v1/s/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"name": "string",
"content": {
"type": "url",
"data": {
"url": "http://example.com",
"isDynamic": true
}
},
"config": {
"width": 0,
"height": 0,
"margin": 0,
"image": "string",
"imageOptions": {
"hideBackgroundDots": true
},
"dotsOptions": {
"type": "dots",
"style": {
"type": "hex",
"value": "string"
}
},
"cornersSquareOptions": {
"type": "dot",
"style": {
"type": "hex",
"value": "string"
}
},
"cornersDotOptions": {
"type": "dot",
"style": {
"type": "hex",
"value": "string"
}
},
"backgroundOptions": {
"style": {
"type": "hex",
"value": "string"
}
}
},
"shareConfig": {
"showName": true,
"showDownloadButton": true
},
"previewImage": "string",
"qrCodeData": "string"
}{
"message": "string",
"code": 0
}